# KeepAlive.Interval

Defines the interval for keep-alive packets.

This parameter applies to imtcp: TCP Syslog Input Module.

Name:

  KeepAlive.Interval

Scope:

  module, input

Type:

  integer

Default:

  module=0, input=module parameter

Required?:

  no

Introduced:

  8.2106.0

## Description

The interval for keep alive packets.

The same-named input parameter can override this module setting.

## Module usage

    module(load="imtcp" keepAlive.interval="...")

## Input usage

    input(type="imtcp" port="514" keepAlive.interval="...")

## See also

See also imtcp: TCP Syslog Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.